package com.jxml.quick.util.qdml2qjml;
import com.jxml.quick.model.qjml.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;
import com.jxml.quick.ocm.*;
import java.io.*;
import com.jxml.quick.recycle.*;
import com.jxml.quick.engine.*;

public class QCItem extends OCMpeerSupportLite
{
	public void cvt(Object param)
		throws SAXException, IOException
	{
		QMItem dm=(QMItem)dataModel;
		QDML2QJML.SubQdml2Qjml c=(QDML2QJML.SubQdml2Qjml)context;
		if(dm.access==null && "".equals(dm.cref))
		{
			QMProperty p=new QMProperty();
			if (dm.repeating)
				p.kind="list";
			String s=c.labelToProperty(dm.coinName);
			p.name=s;
			dm.access=p;
			
		}
	}
}
